import json

from new_experiment.pipeline.pipeline_process_asr import run_hf_facebook_wav2vec2_asr_task
from new_experiment.queue_base import process_queue


def process_message(body: bytes):
    print(body)
    message_dict = json.loads(body.decode('utf-8'))
    print(message_dict)
    task = message_dict['task']
    dataset = message_dict['dataset']
    asr_name = message_dict['asr_name']

    if task == 'hf_facebook_wav2vec2_asr':
        run_hf_facebook_wav2vec2_asr_task(dataset, asr_name)


if __name__ == '__main__':
    process_queue('asr_benchmark_asr_run', process_message)
